Bug 1280473 - lvm2 should not allow reducing thin metadata LV
lvm2 should not allow reducing thin metadata LV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 15:03 EST by Heinz Mauelshagen
Modified: 2015-12-15 05:45 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 05:45:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heinz Mauelshagen 2015-11-11 15:03:25 EST
Description of problem:

Able to shrink a thin pool metadata LV causes kernel
to complain about the reduced size.

Version-Release number of selected component (if applicable):

kernel 4.2.3-200.fc22 and upstream 4.3.0
lvm 2.02.116(2)

How reproducible:

Always.

Steps to Reproduce:
1. create thin_pool
2. grow thin pool metadata LV
3. shrink  "

Actual results:

Kernel complains about metadata device being too small

Expected results:

lvm2 should prevent reducing pool metadata LV
untill dm-thin gets enhanced to cope with it.


Additional info:
Comment 1 Zdenek Kabelac 2015-11-19 10:27:41 EST
Resolved with upstream release of lvm2 2.02.129

https://www.redhat.com/archives/lvm-devel/2015-August/msg00166.html
Comment 2 Peter Rajnoha 2015-12-15 05:45:46 EST
This is already fixed in Fedora 23 release (where we have lvm2 > 2.02.129).

Note You need to log in before you can comment on or make changes to this bug.